org.keycloak.protocol.oidc.mappers

## Class PairwiseSubMapperHelper

- java.lang.Object
- - org.keycloak.protocol.oidc.mappers.PairwiseSubMapperHelper

-     public class PairwiseSubMapperHelper
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PAIRWISE_SUB_ALGORITHM_SALT`
    `static String` | `PAIRWISE_SUB_ALGORITHM_SALT_HELP_TEXT`
    `static String` | `PAIRWISE_SUB_ALGORITHM_SALT_LABEL`
    `static String` | `SECTOR_IDENTIFIER_URI`
    `static String` | `SECTOR_IDENTIFIER_URI_HELP_TEXT`
    `static String` | `SECTOR_IDENTIFIER_URI_LABEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PairwiseSubMapperHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProviderConfigProperty` | `createSaltConfig()`
    `static ProviderConfigProperty` | `createSectorIdentifierConfig()`
    `static String` | `getSalt(ProtocolMapperModel mappingModel)`
    `static String` | `getSectorIdentifierUri(ProtocolMapperModel mappingModel)`
    `static String` | `getSectorIdentifierUri(ProtocolMapperRepresentation mappingModel)`
    `static void` | `setSalt(ProtocolMapperModel mappingModel, String salt)`
    `static void` | `setSectorIdentifierUri(ProtocolMapperModel mappingModel, String sectorIdentifierUri)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECTOR_IDENTIFIER_URI

          public static final String SECTOR_IDENTIFIER_URI

      See Also:
        Constant Field Values

    - #### SECTOR_IDENTIFIER_URI_LABEL

          public static final String SECTOR_IDENTIFIER_URI_LABEL

      See Also:
        Constant Field Values

    - #### SECTOR_IDENTIFIER_URI_HELP_TEXT

          public static final String SECTOR_IDENTIFIER_URI_HELP_TEXT

      See Also:
        Constant Field Values

    - #### PAIRWISE_SUB_ALGORITHM_SALT

          public static final String PAIRWISE_SUB_ALGORITHM_SALT

      See Also:
        Constant Field Values

    - #### PAIRWISE_SUB_ALGORITHM_SALT_LABEL

          public static final String PAIRWISE_SUB_ALGORITHM_SALT_LABEL

      See Also:
        Constant Field Values

    - #### PAIRWISE_SUB_ALGORITHM_SALT_HELP_TEXT

          public static final String PAIRWISE_SUB_ALGORITHM_SALT_HELP_TEXT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PairwiseSubMapperHelper

          public PairwiseSubMapperHelper()

  - ### Method Detail

    - #### getSectorIdentifierUri

          public static String getSectorIdentifierUri(ProtocolMapperRepresentation mappingModel)

    - #### setSectorIdentifierUri

          public static void setSectorIdentifierUri(ProtocolMapperModel mappingModel,
                                                    String sectorIdentifierUri)

    - #### getSectorIdentifierUri

          public static String getSectorIdentifierUri(ProtocolMapperModel mappingModel)

    - #### getSalt

          public static String getSalt(ProtocolMapperModel mappingModel)

    - #### setSalt

          public static void setSalt(ProtocolMapperModel mappingModel,
                                     String salt)

    - #### createSectorIdentifierConfig

          public static ProviderConfigProperty createSectorIdentifierConfig()

    - #### createSaltConfig

          public static ProviderConfigProperty createSaltConfig()

Copyright © 2020 JBoss by Red Hat. All rights reserved.